<?php
/** Zjištění nastavení dané třídy v HTML značce
* @param SimpleXmlElement
* @param string
* @return bool
*/
function elementHasClass(SimpleXmlElement $element, $class) {
	return preg_match(
		'((^|\\s)' . preg_quote($class) . '($|\\s))',
		// \w nelze použít, protože třídy mohou obsahovat pomlčku
		$element["class"]
	);
}
