<?php
/** Načtení kurzů měn
* @param string
* @return array kód => kurz
*/
function getExchangeRates($url) {
	$return = array();
	foreach (file($url) as $l => $line) {
		if ($l < 2) { // první dva řádky obsahují poznámky
			continue;
		}
		list(, , $amount, $code, $rate) = explode("|", trim($line));
		$return[$code] = str_replace(",", ".", $rate) / $amount;
	}
	return $return;
}

$exchangeRates = getExchangeRates("http://www.cnb.cz/cs/financni_trhy"
	. "/devizovy_trh/kurzy_devizoveho_trhu/denni_kurz.txt"
);
// vypsání aktuálního kurzu eura
echo "$exchangeRates[EUR]\n";
