<?php
include "Nette/loader.php";

$form = new Form;
$form->addText('name', 'Jméno:')
	->addRule(Form::FILLED, 'Zadejte své jméno.')
;
$form->addText('email', 'E-mail:', 35)
	->setEmptyValue('@') // předvyplnění zavináče
	->addCondition(Form::FILLED) // pokud je e-mail vyplněn
	->addRule(Form::EMAIL, 'E-mail nemá platný formát.')
;
$form->addSubmit('save', 'Uložit')
	->onClick[] = 'saveForm'
;

$form->fireEvents(); // zpracování událostí

echo $form; // vykreslení formuláře

function saveForm($button) {
	// získání zkontrolovaných hodnot
	$values = $button->getForm()->getValues();
}
