<?php
/** Načtení HTML dokumentu se zohledněním kódování
* @param string
* @return DomDocument
* @uses mb_convert_encoding()
*/
function loadHtmlDom($html) {
	$dom = new DomDocument;
	$dom->loadHtml($html);
	if ($dom->encoding) {
		$html = mb_convert_encoding(
			$html,
			'HTML-ENTITIES',
			$dom->encoding
		);
		$dom->loadHtml($html);
	}
	return $dom;
}
